org.gnome.glib

## Class ApplicationFlags

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.bindings.Flag
    - - org.gnome.glib.ApplicationFlags

-     public class ApplicationFlags
      extends org.freedesktop.bindings.Flag

  Constants used to define the behavior of an `Application`.
  Since:
    4.1.2
  Author:
    Guillaume Mazoyer, Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ApplicationFlags` | `HANDLES_COMMAND_LINE` Indicate that this application handles command line arguments from remote instances.
    `static ApplicationFlags` | `HANDLES_OPEN`
    `static ApplicationFlags` | `IS_LAUNCHER` The application will not try to become the primary instance.
    `static ApplicationFlags` | `IS_SERVICE` The application run as a service.
    `static ApplicationFlags` | `NON_UNIQUE` The application does not wish to model unique behaviour and does not check for an already existing single instance.
    `static ApplicationFlags` | `NONE` Default operation mode.
    `static ApplicationFlags` | `SEND_ENVIRONMENT` The primary instance will receive the environment of the launching process.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ApplicationFlags` | `or(ApplicationFlags one, ApplicationFlags two)`

    - ### Methods inherited from class org.freedesktop.bindings.Flag

      `contains`

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### HANDLES_COMMAND_LINE

          public static final ApplicationFlags HANDLES_COMMAND_LINE

      Indicate that this application handles command line arguments from remote instances. These wil be sent from the invoking process to the primary.

      Note that if you choose this mode, the `Application.CommandLine` signal will be raised on the primary rather than `Application.Activate` so it's a good idea to call `activate()` manually from your `Application.CommandLine` handler.

      Since:
        4.1.2

    - #### HANDLES_OPEN

          public static final ApplicationFlags HANDLES_OPEN

    - #### IS_LAUNCHER

          public static final ApplicationFlags IS_LAUNCHER

      The application will not try to become the primary instance.
      Since:
        4.1.2

    - #### IS_SERVICE

          public static final ApplicationFlags IS_SERVICE

      The application run as a service. If the service is already running the registration fails. You use this, along with `IS_LAUNCHER`, in a pair of binaries, one being server only and the other being launcher only. When a single code base is performing the role of becoming primary when necessary and otherwise being remote then you want the [default] `NONE` setting.
      Since:
        4.1.2

    - #### NON_UNIQUE

          public static final ApplicationFlags NON_UNIQUE

      The application does not wish to model unique behaviour and does not check for an already existing single instance.

    - #### NONE

          public static final ApplicationFlags NONE

      Default operation mode. You don't need to specify this; you can call Application's `singe arg` constructor.
      Since:
        4.1.2

    - #### SEND_ENVIRONMENT

          public static final ApplicationFlags SEND_ENVIRONMENT

      The primary instance will receive the environment of the launching process. This constant is useful if the application should behave differently depending on certain environment variables.

  - ### Method Detail

    - #### or

          public static ApplicationFlags or(ApplicationFlags one,
                            ApplicationFlags two)